/* ========= RESET ========= */
html {
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

* {
  margin: 0;
  padding: 0;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  width: 100%;
  height: auto;
}

:root {
  --standart-padding: 2rem;

  /* fonts type*/
  --title-font: "Poppins";

  /* fonts size */
  --title-font-size: 2.5rem;
  --text-font-size: 1.6rem;

  /* HSL color mode */
  --branco: #f6f4eb;
  --color-text-table: #000;
  --button-content-bg-color: #e7e7e7;
  --font-color: #363636;
  --other-font-color: #000;
  --font-topis: #000;
  --container-bg-color: #efefef;
  --background-color: #91c8e4;
  --tag-color: #749bc2;
  --title-color: #4682a9;
  --bg-margin-bot-color: #dddddd;
  --botao-bg-color: #008000c7;
  --botao-bg-hover-color: #005e00e5;
  --botao-menu-color: #363636;
  --menu-hover-color: #80808086;
}

.container {
  background: var(--container-bg-color);
  box-shadow: 0px 0px 10px 6px rgba(0, 0, 0, 0.219);
  border-radius: 15px;
  width: 90%;
  height: 90%;
  padding: 25px;
  overflow: auto;
}

body {
  background: var(--background-color);
  position: fixed;
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: var(--title-font) !important;
}

#personalizar {
  float: right;
  display: flex;
  align-items: center;
}

.raise {
  background-color: var(--button-content-bg-color);
  text-decoration: none;
  color: var(--font-color);
  border-radius: 30px;
  padding: 10px;
  margin: 0 10px 0 0;
  border: none;
  font-size: 15px;
  font-family: var(--title-font);
  cursor: pointer;
}

.raise:hover,
.raise:focus {
  transition: 0.5s;
  color: white;
  background: var(--menu-hover-color);
  box-shadow: 0 0.5em 0.5em -0.4em var(--hover);
  transform: translateY(-0.25em);
}

/*Animating from the bottom*/
.up:hover,
.up:focus {
  box-shadow: inset 0 -3.25em 0 0 var(--hover);
}

.materia {
  border-left: 5px solid var(--tag-color);
  border-bottom: 2px solid gray;
  border-top: 2px solid gray;
  border-right: 2px solid gray;
  border-radius: 5px;
  background: white;
  padding: 15px;
  margin: 15px 0;
  width: 300px;
  font-size: 15px;
}

h3 {
  margin: 0;
}

h1 {
  color: var(--title-color);
  font-size: var(--title-font-size);
  font-family: 'Poppins', sans-serif !important;
}

.mateAdd {
  background: var(--botao-bg-color);
  border: none;
  color: white;
  border-radius: 5px;
  padding: 10px;
  font-size: 15px;
  cursor: pointer;
}

.mateAdd:hover {
  transition: 0.5s;
  background: var(--botao-bg-hover-color);
}

.area {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 10px 0;
}

input {
  border: none;
  border-bottom: 2px solid rgba(56, 56, 56, 0.575);
  border-radius: 1px;
  padding: 8px;
  font-size: var(--text-font-size);
}

input:focus {
  box-shadow: 0;
  outline: 0;
}

.arredar {
  display: none;
}

@media screen and (max-width: 950px) {
  .menu nav {
    display: flex;
    overflow-x: auto;
    align-items: center;
    justify-content: inherit;
    height: 60px;
  }

  #personalizar {
    height: 40px;
  }
}

@media screen and (max-width: 770px) {
  .arredar {
    display: block;
    text-align: center;
    color: var(--other-font-color);
  }
}

@media screen and (min-width: 770px) and (max-width: 950px) {
  .menu nav {
    align-items: center;
    justify-content: center;
  }
}

@media screen and (max-width: 420px) {
  .area{
    flex-direction: column;
  }
}